import { LegacyCategory, LegacyHashService, LegacyService, LegalBasis } from '../../services/Api/interfaces';
import { Consent } from '../../services/SettingsV2/interfaces';
import Service from '../../services/SettingsV2/Data/ServiceData';
import { StorageService } from '../../services/Storage/interfaces';
export declare const getConsent: ({ defaultConsentStatus }: LegacyService, cat?: LegacyCategory) => Consent;
export declare const getLegalBasisFromHashService: (legalBasisList: string[], legalGround: string) => LegalBasis[];
export declare const getLegalBasis: ({ legalBasisList, legalGround }: LegacyHashService, legalBasis: string[]) => string[];
export declare const getDescription: (legacyService: LegacyService | null, legacyHashService?: LegacyHashService | null) => string;
export declare const isServiceAdded: (services: Service[], storageServices?: StorageService[]) => boolean;
