import { HttpSuccess, RequestOptions } from './interfaces';
import { GraphQLQuery } from '../../services/Api/interfaces/interfaces';
/**
 * Our own GET wrapper.
 */
export declare const get: (url: string, errorMessage: string, options?: RequestOptions) => Promise<HttpSuccess>;
/**
 * Our own POST wrapper.
 */
export declare const post: (url: string, body: Record<string, unknown> | GraphQLQuery, errorMessage: string, options?: RequestOptions) => Promise<HttpSuccess>;
