export declare enum ERROR_MESSAGE {
    AVAILABLE_LANGUAGES_NOT_FOUND = "Unable to find available languages using given settingsId and version.",
    FETCH_ACM_VENDORS = "Something went wrong while fetching the atp vendors.",
    FETCH_AVAILABLE_LANGUAGES = "Something went wrong while fetching the available languages.",
    FETCH_DATA_PROCESSING_SERVICES = "Something went wrong while fetching the data processing services.",
    FETCH_LEGAL_BASIS = "Something went wrong while fetching the legal data translations.",
    FETCH_SETTINGS = "Something went wrong while fetching the settings.",
    FETCH_USER_CONSENTS = "Something went wrong while fetching the user's consents.",
    FETCH_USER_COUNTRY = "Something went wrong while fetching the user's country.",
    FETCH_USER_TCF_DATA = "Something went wrong while fetching the user's tcf data.",
    GENERATE_DATA_PROCESSING_SERVICES = "Something went wrong while generating the data processing services.",
    RULESET_NOT_FOUND = "Config Map not found!",
    TAGLOGGER = "Tag logger API is being called just before browser unload, some browsers like firefox cancel the api call and throw the error.",
    SAVE_CONSENTS = "Something went wrong while saving user consents.",
    SAVE_CONSENTS_RETRY = "Number of retries exceeded for saving user consents.",
    SETTINGS_NOT_FOUND = "Unable to find settings using given settingsId and version.",
    CUSTOM_REFERRER_NOT_VALID = "A custom referrer was passed to setTrackingPixel but it is not a valid URL. Origin and pathname will be passed instead."
}
