import { RuleSetControllerIds } from '../../interfaces';
export default class ControllerId {
    needsSessionRestore: boolean;
    private controllerId;
    private static instance;
    private constructor();
    static getInstance(): ControllerId;
    static resetInstance(): void;
    get value(): string;
    set value(value: string);
    setControllerIdByResolvedSettingsId(resolvedSettingsId: string, controllerIds: RuleSetControllerIds): void;
    setNeedSessionRestore(): void;
    init(): void;
    private generateControllerId;
    private getStorageControllerId;
}
