export declare enum CROSS_DEVICE_WARN_MESSAGES {
    CROSS_DEVICE_DATA_NOT_AVAILABLE = "Usercentrics: Cross Device Consents data is not available",
    CROSS_DEVICE_TCF_DATA_NOT_AVAILABLE = "Usercentrics: Cross Device TCF data is not available",
    CROSS_DEVICE_FEATURE_DISABLED = "Usercentrics: The `Cross-Device Consent Sharing` feature is not enabled. Please contact the support team in order to enable this feature for your configuration"
}
export declare enum CROSS_DOMAIN_WARN_MESSAGES {
    CROSS_DOMAIN_DATA_NOT_AVAILABLE = "Usercentrics: Cross Domain Consents data is not available",
    CROSS_DOMAIN_TCF_DATA_NOT_AVAILABLE = "Usercentrics: Cross Domain TCF data is not available",
    CROSS_DOMAIN_FEATURE_NOT_AVAILABLE = "Usercentrics: Cross Domain Consent Sharing is not available.",
    CROSS_DOMAIN_LANGUAGE_NOT_AVAILABLE = "Usercentrics: Cross Domain Consent language is not available",
    CROSS_DOMAIN_SET_DATA_FAILURE = "Usercentrics: Unable to set Cross Domain data",
    CROSS_DOMAIN_SET_TCF_DATA_FAILURE = "Usercentrics: Unable to set Cross Domain TCF data",
    CROSS_DOMAIN_IFRAME_ERROR = "Usercentrics: Iframe error",
    CROSS_DOMAIN_IFRAME_NOT_FOUND = "Usercentrics: Cross Domain iFrame not found",
    CROSS_DOMAIN_IFRAME_LOAD_ERROR = "Usercentrics: IFrame did not load"
}
export declare enum IFRAME_METHODS {
    CLEAR = "clear",
    GET_CROSS_DOMAIN_LANGUAGE = "getCrossDomainLanguage",
    GET_CROSS_DOMAIN_SESSION_DATA = "getCrossDomainSessionData",
    GET_CROSS_DOMAIN_TCF_DATA = "getCrossDomainTcfData",
    GET_CROSS_DOMAIN_CCPA_DATA = "getCrossDomainCcpaData",
    GET_TC_STRING = "getTCString",
    PING = "ping",
    SET_CROSS_DOMAIN_DATA = "setCrossDomainData",
    SET_CROSS_DOMAIN_TCF_DATA = "setCrossDomainTcfData",
    SET_CROSS_DOMAIN_CCPA_DATA = "setCrossDomainCcpaData",
    SET_TC_STRING = "setTCString"
}
