import { CONSENT_ACTION, CONSENT_TYPE } from '../enums';
import { Service } from '../../SettingsV2/interfaces';
export declare const facebookPixelService: Service;
export declare const usercentricsService: Service;
export declare const plusXService: Service;
export declare const SERVICES: Service[];
export declare const servicesAfterMigration: {
    categorySlug: string;
    consent: {
        history: {
            action: CONSENT_ACTION;
            language: string;
            status: boolean;
            timestamp: number;
            type: CONSENT_TYPE;
            versions: {
                application: string;
                service: string;
                settings: string;
            };
        }[];
        status: boolean;
    };
    cookieMaxAgeSeconds: null;
    cookieRefresh: boolean;
    dataCollected: string[];
    dataDistribution: {
        processingLocation: string;
        thirdPartyCountries: never[];
    };
    dataProtectionOfficer: string;
    dataPurposes: string[];
    dataRecipients: string[];
    description: string;
    deviceStorage: null;
    deviceStorageDisclosureUrl: null;
    fetchSubServices: () => Promise<Service[]>;
    id: string;
    isEssential: boolean;
    isHidden: boolean;
    language: {
        available: string[];
        selected: string;
    };
    legalBasis: string[];
    name: string;
    processingCompany: {
        address: string;
        dataProtectionOfficer: string;
        name: string;
    };
    processorId: string;
    retentionPeriodDescription: string;
    subServices: never[];
    subServicesLength: number;
    technologiesUsed: string[];
    urls: {
        cookiePolicy: string;
        dataProcessingAgreement: string;
        optOut: string;
        privacyPolicy: string;
    };
    usesCookies: boolean;
    usesNonCookieAccess: boolean;
    usesThirdCountry: boolean;
    version: string;
}[];
