import { UserCountryData, UserCountryResponse } from './interfaces';
export default class Location {
    private static instance;
    private userCountryData;
    private constructor();
    static getInstance(): Location;
    static resetInstance(): void;
    setUserCountryData(userCountryData: UserCountryData): void;
    getUserCountryData(): Promise<UserCountryData>;
    getIsUserInCalifornia(): Promise<boolean>;
    getIsUserInEU(): Promise<boolean>;
    getIsUserInUS(region?: string): Promise<boolean>;
    static mapUserCountryData: (userCountryData: UserCountryData) => UserCountryResponse;
    convertUserCountryString: (userCountryString: string | null) => UserCountryResponse;
    resolveLocation(location: string | null): Promise<void>;
}
