import { CoreJsonResponse } from '../../Api/interfaces';
import { DataExchangeSetting } from '../interfaces';
import { LanguageConfig } from './interfaces';
import { VERSION } from '../enums';
declare class Core {
    acceptAllImplicitlyOutsideEU: boolean;
    consentAnalytics: boolean;
    consentAPIv2: boolean;
    consentXDevice: boolean;
    consentSharingIFrameIsActive: boolean;
    dataExchangeSettings: DataExchangeSetting[];
    googleConsentMode: boolean;
    id: string;
    isCcpaEnabled: boolean;
    isEmbeddingsEnabled: boolean;
    isTagLoggerActive: boolean;
    isTcfEnabled: boolean;
    language: LanguageConfig;
    reshowBanner: number;
    renewConsentsTimestamp: number | null;
    showFirstLayerOnVersionChange: VERSION[];
    version: string;
    constructor(coreJson: CoreJsonResponse, language: string);
}
export default Core;
