import { CategoryData, ServiceData } from './interfaces';
import { LegacyCategory, LegacyHashService, LegacyService } from '../../Api/interfaces';
import Service from './ServiceData';
declare class Category implements CategoryData {
    isEssential: boolean;
    isHidden: boolean;
    services: ServiceData[];
    slug: string;
    constructor(legacyCategory: LegacyCategory, legacyServices: LegacyService[], legacyHashServices?: LegacyHashService[]);
}
export declare const getServices: (legacyCategory: LegacyCategory, legacyServices: LegacyService[], legacyHashServices?: LegacyHashService[]) => Service[];
export default Category;
