import { CmpApi as GppApi } from '../../../../libs/@iabgpp/cmpapi';
import { GppDataInterface, LegalFramework } from './interfaces';
import { LegacySettings } from '../../Api/interfaces';
declare class GppData implements GppDataInterface {
    private static instance;
    cmpId: number;
    cmpVersion: number;
    gppApi: GppApi;
    gppEnabled: boolean;
    private constructor();
    static getInstance(legacySettings?: LegacySettings | null, gppEnabled?: boolean): GppData | null;
    setApplicableSections: (legalFramework: LegalFramework) => void;
    setCmpSignalReady: () => Promise<void>;
    setCmpStatusLoaded: () => Promise<void>;
    setCmpDisplayHidden: () => Promise<void>;
    setCmpDisplayVisible: () => Promise<void>;
    setSectionString: (sectionString: string, legalFramework: LegalFramework) => Promise<void>;
    resetGpp(): void;
}
export default GppData;
