import { LegacyCategory, LegacyHashService, LegacyService } from '../../Api/interfaces';
import { Consent } from '../interfaces';
import { ServiceData } from './interfaces';
import { Service as ServiceDataAndLabels } from '../interfaces/interfaces';
import ServiceExtendedData from './ServiceExtendedData';
declare class Service extends ServiceExtendedData implements ServiceData {
    categorySlug: string;
    consent: Consent;
    id: string;
    isEssential: boolean;
    isHidden: boolean;
    processorId: string;
    subServices: ServiceData[];
    subServicesLength: number;
    usesThirdCountry: boolean;
    version: string;
    fetchSubServices: () => Promise<ServiceDataAndLabels[]>;
    constructor(legacyService: LegacyService, legacyCategory: LegacyCategory, legacyHashService?: LegacyHashService);
}
export default Service;
