import { ACMVendorLabels, TCFButtonLabels, TCFFirstLayerLabels, TCFSecondLayerLabels, TCFTitleLabels, TCFTogglesLabels, TCFVendorLabels, TcfLabels } from './interfaces';
import { DpsJsonResponse, LegacyHashService, LegacySettings, Translations } from '../../Api/interfaces';
import CommonLabels from './Common/CommonLabels';
declare class Tcf extends CommonLabels implements TcfLabels {
    buttons: TCFButtonLabels;
    firstLayer: TCFFirstLayerLabels;
    secondLayer: TCFSecondLayerLabels;
    titles: TCFTitleLabels;
    toggles: TCFTogglesLabels;
    vendor: TCFVendorLabels;
    acmVendor: ACMVendorLabels;
    constructor(legacySettings: LegacySettings, dpsJson: DpsJsonResponse, thirdPartyCount: number, translations?: Translations | null, aggregatedServices?: LegacyHashService[]);
}
export default Tcf;
