import { CoreJsonResponse, SECOND_LAYER_DEFAULT_VIEW } from '../../Api/interfaces';
import { CornerPosition } from '../Core/interfaces';
import { PrivacyButtonUI } from './interfaces';
interface PrivacyButtonExtraOptions {
    defaultView: SECOND_LAYER_DEFAULT_VIEW;
    hideDataProcessingServices: boolean;
}
declare class PrivacyButton implements PrivacyButtonUI {
    customCss: string | null;
    defaultView: SECOND_LAYER_DEFAULT_VIEW;
    hideDataProcessingServices: boolean;
    backgroundColor: string | null;
    desktopSize: number | null;
    iconColor: string | null;
    iconUrl: string | null;
    mobileSize: number | null;
    position: CornerPosition;
    constructor(coreJson: CoreJsonResponse, options: PrivacyButtonExtraOptions);
}
export default PrivacyButton;
