import { LegacyBaseService, LegacyService } from '../../services/Api/interfaces';
import { ServiceHashArrayObject } from '../../services/SettingsV2/interfaces';
export declare const mapHashArrayObject: (id: string, version: string) => ServiceHashArrayObject;
/**
 * Generate an array of objects, that will be used to generate the services.json file name.
 * @param legacySettings - settings.json object
 */
export declare const mapServicesHashArray: (baseService?: LegacyBaseService[]) => ServiceHashArrayObject[];
export declare const removeDeactivatedServices: (consentTemplates: LegacyService[]) => LegacyService[];
