export interface HttpError {
    errorMessage: string;
    statusCode: number;
}
export interface HttpSuccess {
    data: any;
    statusCode: number;
    location: string | null;
}
export interface RequestOptions {
    credentials?: RequestCredentials;
    headers?: Record<string, string>;
    mode?: RequestMode;
    keepalive?: boolean;
    removeTimeout?: boolean;
}
