import { Consents, CoreCcpa, CoreJsonResponse, CoreTcf, DpsJsonResponse, LegacyHashService, LegacySettings, Ruleset, Translations } from '../interfaces';
import { ConsentDTOV2 } from '../../DataFacade/interfaces/interfaces';
import { UcDomains } from '../../../interfaces';
import { UserCountryResponse } from '../../Location/interfaces';
export declare const fetchAvailableLanguagesData: string[];
export declare const defaultSettingsId = "GVl-ixMH";
export declare const narrowVendorsSettingsId = "CHd3XmwVX";
export declare const ruleSetJsonResponse: Ruleset;
export declare const domainData: UcDomains;
export declare const coreTcfJsonResponse: CoreTcf;
export declare const coreCcpaJsonResponse: CoreCcpa;
export declare const coreJsonResponse: CoreJsonResponse;
export declare const dpsJsonResponse: DpsJsonResponse;
export declare const fetchAggregatedServicesData: LegacyHashService[];
export declare const fetchSettingsData: LegacySettings;
export declare const fetchSettingsDataWithoutHash: LegacySettings;
export declare const fetchUserCountryData: UserCountryResponse;
export declare const fetchUserTcfData: {
    acString: string;
    tcString: string;
    timestamp: number;
    vendors: (number | number[])[][];
};
export declare const saveConsentsData: {
    consentId: string;
}[];
export declare const saveTCFConsentsData: {
    consentId: string;
}[];
export declare const fetchUserConsentsData: {
    action: string;
    consentId: string;
    settingsVersion: string;
    status: boolean;
    templateId: string;
    timestamp: string;
    updatedBy: string;
}[];
export declare const fetchUserConsentsV2Data: {
    consents: {
        status: boolean;
        templateId: string;
        action: string;
        consentId: string;
        settingsVersion: string;
        timestamp: string;
        updatedBy: string;
    }[];
};
export declare const fetchTranslations: Translations;
export declare const coreJsonResponseNarrowVendors: CoreJsonResponse;
export declare const dpsJsonResponseNarrowVendors: DpsJsonResponse;
export declare const fetchSettingsDataNarrowVendors: LegacySettings;
export declare const saveConsentsDeny: Consents;
export declare const saveConsentsInitialV2: ConsentDTOV2;
