export declare const FALLBACK_VERSION = "latest";
export declare const SAVE_CONSENTS_TIMEOUT = 3000;
export declare const SAVE_CONSENTS_V2_VERSION = 3;
export declare const PRODUCTION_API: {
    EU_URI: {
        AGGREGATOR: string;
        CDN: string;
        FETCH_CONSENTS: string;
        FETCH_CONSENTS_V2: string;
        FETCH_TCF_DATA: string;
        FETCH_TCF_DATA_V2: string;
        GRAPHQL: string;
        SAVE_CONSENTS_V2: string;
        TRACK_EVENT: string;
        TRACK_SESSION: string;
    };
    FOLDER: {
        RULESET: string;
        SETTINGS: string;
        TEMPLATES: string;
        TRANSLATIONS: string;
    };
    URI: {
        AGGREGATOR: string;
        CDN: string;
        FETCH_CONSENTS: string;
        FETCH_CONSENTS_V2: string;
        FETCH_TCF_DATA: string;
        FETCH_TCF_DATA_V2: string;
        GRAPHQL: string;
        RULESET: string;
        SAVE_CONSENTS_V2: string;
        TRACK_EVENT: string;
        TRACK_SESSION: string;
    };
};
export declare const SANDBOX_API: {
    EU_URI: {
        AGGREGATOR: string;
        CDN: string;
        FETCH_CONSENTS: string;
        FETCH_CONSENTS_V2: string;
        FETCH_TCF_DATA: string;
        FETCH_TCF_DATA_V2: string;
        GRAPHQL: string;
        SAVE_CONSENTS_V2: string;
        TRACK_EVENT: string;
        TRACK_SESSION: string;
    };
    FOLDER: {
        RULESET: string;
        SETTINGS: string;
        TEMPLATES: string;
        TRANSLATIONS: string;
    };
    URI: {
        AGGREGATOR: string;
        CDN: string;
        FETCH_CONSENTS: string;
        FETCH_CONSENTS_V2: string;
        FETCH_TCF_DATA: string;
        FETCH_TCF_DATA_V2: string;
        GRAPHQL: string;
        RULESET: string;
        SAVE_CONSENTS_V2: string;
        TRACK_EVENT: string;
        TRACK_SESSION: string;
    };
};
export declare const CLIENT_LOCATION_FALLBACK_DATA: {
    countryCode: string;
    countryName: string;
    regionCode: string;
};
export declare const CLIENT_LOCATION_TIMEOUT = 3000;
