/** Used internally inside the SDK to define the action of a Consent */
export declare const enum CONSENT_ACTION {
    ACCEPT_ALL_SERVICES = "onAcceptAllServices",
    DENY_ALL_SERVICES = "onDenyAllServices",
    ESSENTIAL_CHANGE = "onEssentialChange",
    INITIAL_PAGE_LOAD = "onInitialPageLoad",
    NON_EU_REGION = "onNonEURegion",
    SESSION_RESTORED = "onSessionRestored",
    TCF_STRING_CHANGE = "onTcfStringChange",
    UPDATE_SERVICES = "onUpdateServices",
    MOBILE_SESSION_RESTORED = "onMobileSessionRestore"
}
export declare const enum CONSENT_TYPE {
    EXPLICIT = "explicit",
    IMPLICIT = "implicit"
}
export declare const enum TRACKING_EVENT_TYPE {
    UNDEFINED = 0,
    CMP_SHOWN = 1,
    ACCEPT_ALL = 2,
    DENY_ALL = 3,
    SAVE = 4,
    ACCEPT_ALL_L1 = 5,
    DENY_ALL_L1 = 6,
    SAVE_L1 = 7,
    ACCEPT_ALL_L2 = 8,
    DENY_ALL_L2 = 9,
    SAVE_L2 = 10,
    COOKIE_POLICY_LINK = 11,
    IMPRINT_LINK = 12,
    MORE_INFORMATION_LINK = 13,
    PRIVACY_POLICY_LINK = 14,
    CCPA_TOGGLES_ON = 15,
    CCPA_TOGGLES_OFF = 16,
    SAY_MINE_LINK = 17
}
