import { StorageCcpa, StorageTCF } from '../../Storage/interfaces';
import { Consent } from './interfaces';
import { TRACKING_EVENT_TYPE } from '../enums';
import { UserConsentResponse } from '../../Api/interfaces/interfaces';
export interface ConsentHistory extends Consent {
    language: string;
    timestamp: number;
    versions: {
        application: string;
        service: string;
        settings: string;
    };
}
export interface UserSessionData {
    consents: UserConsentResponse[];
    controllerId: string;
    language: string;
    tcf?: StorageTCF;
    ccpa?: StorageCcpa;
}
export interface TrackEventParameters {
    abTestVariant: string;
    eventType: TRACKING_EVENT_TYPE;
    referrer?: string;
}
