import { DataDistribution, Language, ProcessingCompany, URLs } from '../interfaces';
import { DeviceStorage, LegacyHashService } from '../../Api/interfaces';
import { ExtendedServiceData } from './interfaces';
declare class ServiceExtended implements ExtendedServiceData {
    cookieMaxAgeSeconds: number | null;
    cookieRefresh: boolean | null;
    dataCollected: string[];
    dataDistribution: DataDistribution | null;
    dataProtectionOfficer: string | null;
    dataPurposes: string[];
    dataRecipients: string[];
    description: string;
    deviceStorage: DeviceStorage | null;
    deviceStorageDisclosureUrl: string | null;
    language: Language | null;
    processingCompany: ProcessingCompany | null;
    retentionPeriodDescription: string | null;
    technologiesUsed: string[];
    urls: URLs | null;
    usesCookies: boolean | null;
    usesNonCookieAccess: boolean | null;
    constructor(legacyHashService?: LegacyHashService);
}
export default ServiceExtended;
