import { AriaLabel, CategoryLabels, CommonLabels, DefaultGeneralLabels, DefaultServiceLabels, LinksLabels, PoweredbyLabels } from '../interfaces';
import { AriaLabelsTranslation, DpsJsonResponse, LegacyHashService, LegacySettings, Translations } from '../../../Api/interfaces';
import AriaLabels from './AriaLabels';
import CookieInformationLabels from './CookieInformationLabelsModel';
import ServiceLabels from './ServiceLabels';
declare class Common extends AriaLabels implements CommonLabels {
    ariaLabels: AriaLabelsTranslation;
    categories: CategoryLabels[];
    cookieInformation: CookieInformationLabels;
    general: DefaultGeneralLabels;
    links: LinksLabels;
    integrationLinks?: Record<string, AriaLabel>;
    poweredBy: PoweredbyLabels;
    service: DefaultServiceLabels;
    services: ServiceLabels[];
    constructor(legacySettings: LegacySettings, dpsJson: DpsJsonResponse, translations?: Translations | null, legacyHashServices?: LegacyHashService[]);
}
export default Common;
