import { ACMVendor, TCFPurpose, TCFVendor } from '../interfaces/TCF';
import { StorageTCF } from '../../Storage/interfaces';
export declare const purposes: TCFPurpose[];
export declare const stacks: {
    description: string;
    id: number;
    name: string;
    purposeIds: number[];
    specialFeatureIds: never[];
}[];
export declare const purposeIds: number[];
export declare const vendors: TCFVendor[];
export declare const vendorsWithLegIntPurposes: TCFVendor[];
export declare const vendorsWithLegIntToggles: TCFVendor[];
export declare const acceptedPurposes: TCFPurpose[];
export declare const deniedPurposes: TCFPurpose[];
export declare const acceptedVendors: TCFVendor[];
export declare const deniedVendors: TCFVendor[];
export declare const tcfVendor: TCFVendor[];
export declare const storageVendors: (number | number[])[][];
export declare const previousStorage: StorageTCF;
export declare const previousStorageAcm: StorageTCF;
export declare const acVendors: ACMVendor[];
export declare const acVendorsChanged: ACMVendor[];
export declare const acVendorsRemoved: ACMVendor[];
export declare const acVendorsAdded: ACMVendor[];
